from django.db import models
from troggle.core.models import Cave, Entrance

class Redirect(models.Model):
    originalURL = models.CharField(max_length=200, unique=True)
    newURL = models.CharField(max_length=200)

class EntranceRedirect(models.Model):
    originalURL = models.CharField(max_length=200)
    entrance = models.ForeignKey(Entrance)
    def __unicode__(self):
        return self.entrance.slug
